Subject: Re: bug#9960: Compiling Emacs trunk with MSVC

From: Dan Nicolaescu <[email-masked]>
Date: Sun, 20 Nov 2011 16:35:03 -0500

Juanma Barranquero <[email-masked]> writes:

> On Sun, Nov 20, 2011 at 21:59, Fabrice Popineau
> <[email-masked]> wrote:
>
>> - some functions are implicitly assumed to return an int because they are
>> not declared before being used
>
> There are lots of functions implictly declared. Compiling Emacs with
> gcc's -Wimplicit-function-declaration flag gives 204 warnings, 56 of
> them in w32*.c files. Though of course not all of them are relevant
> (in some cases, the results are never used, etc.).

-Wimplicit-function-declaration has been turned on by default in
configure for more than a year.  On GNU/Linux (and probably most other
platforms that use configure+gcc)  -Wimplicit-function-declaration does
not produce any warnings.  Fixing all these warnings on windows too would be
a good idea...